Bug 1292174 - Multiple catalogs across tenants with the same name
Multiple catalogs across tenants with the same name
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
Unspecified Unspecified
medium Severity unspecified
: GA
: 5.6.0
Assigned To: Milan Zázrivec
Pavol Kotvan
Depends On:
Blocks: 1292472
  Show dependency treegraph
Reported: 2015-12-16 11:08 EST by Pavol Kotvan
Modified: 2016-06-29 11:22 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1292472 (view as bug list)
Last Closed: 2016-06-29 11:22:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Same catalog names from three different tenants (46.09 KB, image/png)
2015-12-16 11:08 EST, Pavol Kotvan
no flags Details

  None (edit)
Description Pavol Kotvan 2015-12-16 11:08:48 EST
Created attachment 1106491 [details]
Same catalog names from three different tenants

Description of problem:
It is possible to create catalog with "catalog" name in every tenant configured in CFME. Then when you login as super administrator of My Company tenant, you will see "catalog" several times and you won't be able to identify which was created under which tenant. This might be confusing for end users.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create 2 tenants: tenant1, tenant2
2. Create 2 groups: tenant1, tenant2
3. Create 2 users: tenant1, tenant2
4. Login as:
- tenant1
- tenant2
- admin
and create new Catalog named "catalog" in each tenant.

Actual results:
As admin user, you will end up with 3 same catalogs. Also Catalog items will show 3 times "catalog"
Catalog with same name can be created only once in each tenant and this is correct. See attached screenshot.

Expected results:
Maybe new column in Catalogs table showing information relationship between Catalogs and tenants?

Additional info:
Comment 2 Milan Zázrivec 2016-01-11 09:31:52 EST
Comment 3 CFME Bot 2016-01-11 13:01:09 EST
New commit detected on ManageIQ/manageiq/master:

commit d2e252ab1034a159b71674cef571b5ec273403b0
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Mon Jan 11 15:28:27 2016 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Mon Jan 11 15:28:27 2016 +0100

    Display tenant name in catalogs to avoid ambiguity

 product/views/ServiceCatalog.yaml  | 5 +++++
 product/views/ServiceTemplate.yaml | 5 +++++
 2 files changed, 10 insertions(+)
Comment 4 Milan Zázrivec 2016-01-21 07:42:43 EST
Comment 5 CFME Bot 2016-01-21 13:11:05 EST
New commit detected on ManageIQ/manageiq/master:

commit 6a0cba7737c26a53cb9f829b6bcbe8096967dd06
Author:     Milan Zazrivec <mzazrivec@redhat.com>
AuthorDate: Thu Jan 21 13:41:07 2016 +0100
Commit:     Milan Zazrivec <mzazrivec@redhat.com>
CommitDate: Thu Jan 21 13:41:07 2016 +0100

    Show tenant name in Services -> Catalogs -> Catalogs

 product/views/ServiceTemplateCatalog.yaml | 5 +++++
 1 file changed, 5 insertions(+)
Comment 9 errata-xmlrpc 2016-06-29 11:22:04 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.